Bug 2144417 - CVE-2022-45061 mingw-python3: Python: CPU denial of service via inefficient IDNA decoder [fedora-all]
Summary: CVE-2022-45061 mingw-python3: Python: CPU denial of service via inefficient I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-python3
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-45061
TreeView+ depends on / blocked
 
Reported: 2022-11-21 08:47 UTC by Sandipan Roy
Modified: 2022-11-30 01:34 UTC (History)
1 user (show)

Fixed In Version: mingw-python3-3.10.8-2.fc37 mingw-python3-3.10.8-2.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-30 01:34:30 UTC
Type: ---


Attachments (Terms of Use)

Description Sandipan Roy 2022-11-21 08:47:32 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2144072

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2022-11-21 08:47:34 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2144072,2144417

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-11-21 09:33:14 UTC
FEDORA-2022-45d2cfdfa4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-45d2cfdfa4

Comment 3 Fedora Update System 2022-11-21 09:33:16 UTC
FEDORA-2022-3e859b6bc6 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3e859b6bc6

Comment 4 Fedora Update System 2022-11-22 02:28:06 UTC
FEDORA-2022-3e859b6bc6 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3e859b6bc6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3e859b6bc6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-11-22 02:30:17 UTC
FEDORA-2022-45d2cfdfa4 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-45d2cfdfa4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-45d2cfdfa4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-30 01:34:30 UTC
FEDORA-2022-3e859b6bc6 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-11-30 01:34:33 UTC
FEDORA-2022-45d2cfdfa4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.